#include <bits/stdc++.h>

using namespace std;

void funkcijica(string a,string b, int a1,int b1)//a1=b1+1
{
    for(int i=0;i<a1-1;i++)
    {
        cout<<a<<b;
    }
    cout<<a;
}


int main()
{
    string a,pera,petra;
    cin>>a;
    pera=a[0];
    petra=a[1];
    int npera,npetra;
    cin>>npera>>npetra;
    if(npera==npetra+1)
    {
        funkcijica(pera,petra,npera,npetra);
    }else{
        if(npetra==npera+1)
        {
            funkcijica(petra,pera,npetra,npera);
        }else{
            if(npera==npetra)
            {
                for(int i=0;i<npera;i++)
                {
                    cout<<pera<<petra;
                }
            }else{
                cout<<"nemoguce";
            }
        }
    }
    return 0;
}